{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function send_event, msg, ex_vm_rem\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nTestDateFrom    = .test_date_from->text\r\nTestDateThru    = .test_date_thru->text\r\nToolNum         = .adenumber->text\r\nEvalRange       = .evalrange->text\r\nEvalADEWaferID = .evalADEwaferid->text\r\nif  ( TestDateFrom <> '' ) and ( TestDateThru <> '' ) and ( ToolNum <> '' ) and ( EvalRange <> '' ) and ( EvalADEWaferID <> '' ) then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tRetVal = TestDateFrom:'*':TestDateThru:'*':ToolNum:'*':EvalRange:'*':EvalADEWaferID:'*':DirToPrint\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must select a tool, range, wafer ID and enter a test date from and thru.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}